# Installation
> `npm install --save @types/react-typing-animation`

# Summary
This package contains type definitions for react-typing-animation (https://github.com/notadamking/react-typing-animation#readme).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-typing-animation.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-typing-animation/index.d.ts)
````ts
import { Component } from "react";

export interface TypingProps {
    children: React.ReactNode;
    className?: string | undefined;
    cursorClassName?: string | undefined;
    cursor?: React.ReactNode | undefined;
    hideCursor?: boolean | undefined;
    speed?: number | undefined;
    startDelay?: number | undefined;
    loop?: boolean | undefined;
    onStartedTyping?: (() => void) | undefined;
    onBeforeType?: (() => void) | undefined;
    onAfterType?: (() => void) | undefined;
    onFinishedTyping?: (() => void) | undefined;
}

declare namespace Typing {
    interface BackspaceProperties {
        count?: number | undefined;
        delay?: number | undefined;
        speed?: number | undefined;
    }
    class Backspace extends Component<BackspaceProperties> {}

    interface DelayProperties {
        ms: number;
    }
    class Delay extends Component<DelayProperties> {}

    interface SpeedProperties {
        ms: number;
    }
    class Speed extends Component<SpeedProperties> {}

    interface ResetProperties {
        count?: number | undefined;
        delay?: number | undefined;
        speed?: number | undefined;
    }
    class Reset extends Component<ResetProperties> {}
}

declare class Typing extends Component<TypingProps> {}

export default Typing;

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)

# Credits
These definitions were written by [Haseeb Majid](https://github.com/hmajid2301).
